name dinput8
type win32
rsrc version.res

import dinput.dll
import kernel32.dll
import ntdll.dll

debug_channels (dinput)

@ stdcall DirectInput8Create(long long ptr ptr ptr) DirectInput8Create
@ stdcall DllCanUnloadNow() DINPUT8_DllCanUnloadNow
@ stdcall DllGetClassObject(ptr ptr ptr) DINPUT8_DllGetClassObject
@ stdcall DllRegisterServer() DINPUT8_DllRegisterServer
@ stdcall DllUnregisterServer() DINPUT8_DllUnregisterServer
